# smart-lyric

一个歌词下载、解析、转换工具。

支持格式： lrc(常规歌词), qrc(QQ音乐歌词), krc(酷狗音乐歌词), lrcx(酷我音乐歌词), nrc(网易云音乐歌词)。


## 申明

1. 工具仅可用于个人用途，请勿用于商业用途。

## 示例
```typescript
import fs from 'fs'
import {utils, qrc, trc, krc, lrcx, lrc} from 'smart-lyric'

// 以QQ音乐歌词为例
// 其他的以此类推
async function example(){
	
	// 从QQ音乐下载歌词
	const qrcTextFromNetwork = await utils.downloadQQMusicLyric({songID: 102878776})
	console.log(qrcTextFromNetwork)		//输出qrc歌词的XML文本


	// 解码.qrc格式的歌词
	const qrcTextFromFile = qrc.decrypt(fs.readFileSync('path to .qrc file'))
	console.log(qrcTextFromFile)		//输出qrc歌词的XML文本

	// 歌词内容解析
	const lyric = qrc.parse(qrcTextFromFile)
	console.log(lyric)					//输出解析后的歌词信息
}

```
